Booking

Get a booking

get
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Booking/{bookingReference}

Gets the specified booking by its reference.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The microsite name of the restaurant.

bookingReferencestringRequired

The reference of the booking.

Query parameters
authenticationTokenstringOptional

An authentication token for retrieivng the booking.

api-versionstringOptional
Responses
chevron-right
200

OK

To create a reservation in a restaurant, you need to create a Booking object. A booking can be identified by either its Id, which is unique within the restaurant the booking was created in, or its Reference, which is the booking reference given to customers.

Idinteger · int32Optional

The booking Id. This is only guaranteed to be unique within a certain restaurant.

ReferencestringOptional

The booking reference - automatically generated by ResDiary.

RestaurantNamestringOptional

Gets or sets the full name of the restaurant.

VisitDatestring · date-timeOptional

Gets or sets the visit date.

VisitTimestringOptional

Gets or sets the visit time.

PartySizeinteger · int32Optional

Gets or sets the size of the party.

ChannelCodestringOptional

Gets or sets the code of the channel for the booking.

SpecialRequestsstringOptional

Gets or sets the special requests for the booking.

PromotionIdinteger · int32Optional

Gets or sets the promotion id.

IpAddressstringOptional

Gets or sets the IP address.

IsLeaveTimeConfirmedbooleanOptional

Gets or sets whether the customer has confirmed the leave time

ConciergeIdinteger · int32Optional

The concierge's Id, or null if the user making the booking isn't a concierge.

ConciergeEmailstringOptional

The concierge's email address, or null if the user making the booking isn't a concierge.

ConciergeCustomerIdinteger · int32Optional

The concierge customer's id, or null if this isn't using an existing concierge customer

BookingReasonIdsinteger · int32[]Optional

The booking reason ids associated with this booking

BookingStatusstring · enumOptional

The status of the booking.

Possible values:
BookingDateTimestring · date-timeOptional

The date and time the booking was made (in UTC).

FunctionSheetUrlstringOptional

A URL to a page containing information about the function.

PreOrderUrlstringOptional

A URL to a page where you can pre-order for the booking.

TokenstringOptional

The hashed booking reference.

CanEditbooleanOptional

Whether or not the booking can be edited through Consumer API calls.

CanCancelbooleanOptional

Whether or not the booking can be cancelled through Consumer API calls.

IsCreditCardTokenStoredbooleanOptional

Whether or not the booking currently has a credit card token stored.

DepositPaidAmountnumber · doubleOptional

The deposit amount currently paid against the booking.

AreaIdinteger · int32Optional

The id of the area the booking is made in.

HasEditCancellationWindowPassedbooleanOptional

This is true of the diner can no longer edit or cancel the booking.

RoomNumberstringOptional

The room number of the booking.

GuestConfirmedByPhonebooleanOptional

True if the guest has been confirmed by phone.

IsEventBookingbooleanOptional

True if the booking has a function enquiry linked to it.

IsTakeawayBookingbooleanOptional

True if this booking is a takeaway rather than a reservation.

TakeawayTypestring · enumOptional

Specifies whether a booking has no takeaway, is a delivery takeaway or a collection takeaway.

Possible values:
DeliveryFeenumber · doubleOptional

Specifies the delivery fee associated with this booking, applies only to takeaway bookings.

PreorderIdinteger · int32Optional

The Id of the pre-order linked to the booking, if one exists

PreorderGuestFormUrlstringOptional

The url to access the guest form of the pre-order linked to the booking, if one exists

MenuVersionIdstringOptional

The id of the menu version attached to this bookings preorder, if one exists

Durationinteger · int32Optional

The expected duration of the booking in minutes.

VisitDateTimeUtcstring · date-timeOptional

Gets the visit date in Utc.

EditTokenstringOptional

The edit token for authenticating an edit booking operation through the api.

DishcultRewardsVoucherCodestringOptional

DC Rewards voucher code for loyalty

DishcultRewardsVoucherAmountstringOptional

DC Rewards voucher amount

DishcultRewardsVoucherIsValidstringOptional

DC Rewards voucher validity

get
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Booking/{bookingReference}
200

OK

Update a booking

put
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Booking/{bookingReference}

Updates an existing booking.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The microsite name of the restaurant.

bookingReferencestringRequired

The booking's reference.

Query parameters
api-versionstringOptional
Body

Used to create or update a booking.

VisitDatestring · date-timeOptional

The visit date of the booking.

VisitTimestringOptional

The visit time of the booking.

PartySizeinteger · int32Optional

The party size of the booking.

SpecialRequestsstringOptional

The special requests for the booking. NOTE: The request should include the existing value and append any additional notes if you want to retain the "Special requests" already on the booking to avoid unintentionally losing these notes.

PromotionIdinteger · int32Optional

The promotion that has been booked with the booking, or null if no promotion is selected.

IpAddressstringOptional

The IP address of the client making the booking. Defaults to the IP address that the request comes from.

IsLeaveTimeConfirmedbooleanOptional

true if the leave time of the booking has been confirmed with the customer, false otherwise.

BookingReasonIdsinteger · int32[]Optional

A list of booking reason ids to be associated with the booking

FunctionSheetUrlstringOptional

A URL to a page containing information about the function.

PreOrderUrlstringOptional

A URL to a page where you can pre-order for the booking.

ChannelCodeForAvailabilitySearchstringOptional

An optional channel code parameter if the booking is being updated to use availability that is present on a booking channel that isn't the channel of the original booking.

AreaIdinteger · int32Optional

The area in which the booking is to be seated, if no area id is specified then the booking will be seated at the most suitable table regardless of area.

RoomNumberstringOptional

The room number of the booking if there is one.

GuestConfirmedByPhonebooleanOptional

True if the guest has been confirmed by phone.

StripeCheckoutSuccessUrlstringOptional

The URL that the checkout flow will redirect to upon successful completion.

StripeCheckoutCancelUrlstringOptional

The URL that the checkout flow will redirect to upon cancellation.

StripePaymentMethodIdstringOptional

The payment method id if the customer has entered payment details.

StripePaymentIntentIdstringOptional

The payment intent id if the customer has entered payment details, and completed 3DS2 authentication.

Responses
chevron-right
200

OK

The response from creating a booking.

Statusstring · enumOptional

The status of the request.

Possible values:
Errorsstring[]Optional

Any errors that occurred while creating the booking.

PaymentAmountnumber · floatOptional

The amount that needs to be paid.

StripePublishableKeystringOptional

The key to use when making stripe payments.

StripeCheckoutSessionIdstringOptional

The id of the checkout session used for SCA checkout flow.

StripeAccountIdstringOptional

The id of the stripe account that is taking payment.

StripePaymentIntentIdstringOptional

The Stripe payment intent id.

StripePaymentIntentClientSecretstringOptional

The Stripe payment intent client secret.

StripeSetUpIntentClientSecretstringOptional

The Stripe setup intent client secret.

put
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Booking/{bookingReference}
200

OK

Find bookings

get
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Bookings

Finds bookings based on the specified search criteria.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The provider's microsite name.

Query parameters
groupIdinteger · int32Optional

The Id of the repeating group that the bookings are part of.

pageSizeinteger · int32Optional

The page size.

pageNumberinteger · int32Optional

The page number.

customerIdinteger · int32Optional

The customer Id to search for.

bookingDateFromstringOptional

Specifies the start of the date range (UTC) for the booking's made date (inclusive). If left undefined no start date is considered.

bookingDateTimeTostringOptional

Specifies the end of the date range (UTC) for the booking's made date (inclusive). If left undefined no end date is considered.

visitDateFromstringOptional

Specifies the start of the date range (UTC) for the booking's visit date (inclusive). If left undefined no start date is considered.

visitDateTimeTostringOptional

Specifies the end of the date range (UTC) for the booking's visit date (inclusive). If left undefined no end date is considered.

sortBystring · enumOptional

Specifies which field should be used for sorting the results.

Possible values:
api-versionstringOptional
Responses
chevron-right
200

OK

TotalRowsinteger · int32Optional
PageNumberinteger · int32Optional
TotalPagesinteger · int32Optional
PreviousUrlstringOptional
NextUrlstringOptional
get
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Bookings
200

OK

Add function and pre-order URLs to a booking

put
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Booking/{bookingReference}/FunctionSheet

Updates an existing booking with function and pre-order URLs

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The microsite name of the restaurant.

bookingReferencestringRequired

The booking reference

Query parameters
api-versionstringOptional
Body

Used to update a booking with function and pre-order URLs

IpAddressstringOptional

The IP address of the client making the booking. Defaults to the IP address that the request comes from.

FunctionSheetUrlstringOptional

A URL to a page containing information about the function.

PreOrderUrlstringOptional

A URL to a page where you can pre-order for the booking.

Responses
chevron-right
200

OK

The response from updating a booking with pre order and function URLs.

Statusstring · enumOptional

The status of the request.

Possible values:
Errorsstring[]Optional

Any errors that occurred while creating the booking.

put
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Booking/{bookingReference}/FunctionSheet
200

OK

Add to standby list

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/AddToStandbyList

Adds a customer to the standby list. Restaurants must be setup to accept Standby list requests and requests must be within the min-max cover range and for a valid service to be successful. Details of which are accessible from Consumer Api -> Restaurant -> Get Setup

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The microsite name of the restaurant.

Query parameters
api-versionstringOptional
Body

Used to create or update a booking.

VisitDatestring · date-timeRequired

The visit date of the booking.

VisitTimestringRequired

The visit time of the booking.

PartySizeinteger · int32Required

The party size of the booking.

ChannelCodestringOptional

The channel the booking came from. Defaults to the default channel for your API account when null.

SpecialRequestsstringOptional

The special requests for the booking.

IpAddressstringOptional

The IP address of the client making the booking. Defaults to the IP address that the request comes from.

BookingReasonIdsinteger · int32[]Optional

A list of booking reason ids to be associated with the booking

Responses
chevron-right
200

OK

The response from creating a booking.

Statusstring · enumOptional

The status of the request.

Possible values:
Errorsstring[]Optional

Any errors that occurred while creating the booking.

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/AddToStandbyList
200

OK

Get Square settings for a restaurant

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/GetSquareSettings

Returns an object of venues square settings

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The microsite name of the restaurant.

Query parameters
api-versionstringOptional
Responses
chevron-right
200

OK

The settings for the square integration of a provider

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/GetSquareSettings
200

OK

Create a booking

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/BookingWithStripeToken

Attempts to create a new booking, and returns a status of "Success" if the booking has been created successfully. If a status of "CreditCardRequired" or "PaymentRequired" is returned, it means that either a credit card token is required, or a payment is required in order to secure the booking. In this situation you must generate a token from Stripe using the "StripePublishableKey" returned in the response, and then make the same request again, but this time include the Stripe token in your request.

This replaces the CreateBooking and ConfirmBooking requests that were previously being used, and ensures that incomplete bookings are not created on the diary where payments or card details are required.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The microsite name of the restaurant.

Query parameters
api-versionstringOptional
Body

Used to create or update a booking.

VisitDatestring · date-timeRequired

The visit date of the booking.

VisitTimestringRequired

The visit time of the booking.

PartySizeinteger · int32Required

The party size of the booking.

ChannelCodestringOptional

The channel the booking came from. Defaults to the default channel for your API account when null.

SpecialRequestsstringOptional

The special requests for the booking.

PromotionIdinteger · int32Optional

The promotion that has been booked with the booking, or null if no promotion is selected.

IpAddressstringOptional

The IP address of the client making the booking. Defaults to the IP address that the request comes from.

IsLeaveTimeConfirmedbooleanOptional

true if the leave time of the booking has been confirmed with the customer, false otherwise.

ConciergeIdinteger · int32Optional

The concierge's Id, or null if the user making the booking isn't a concierge.

ConciergeEmailstringOptional

The concierge's email address, or null if the user making the booking isn't a concierge.

ConciergeCustomerIdinteger · int32Optional

The concierge customer's id, or null if this isn't using an existing concierge customer

BookingReasonIdsinteger · int32[]Optional

A list of booking reason ids to be associated with the booking

FunctionSheetUrlstringOptional

A URL to a page containing information about the function.

PreOrderUrlstringOptional

A URL to a page where you can pre-order for the booking.

PortalUserIdinteger · int32Optional

The portal user id if the customer has one.

AreaIdinteger · int32Optional

The area in which the booking is to be seated, if no area id is specified then the booking will be seated at the most suitable table regardless of area.

RoomNumberstringOptional

The room number of the booking if there is one.

StripeTokenstringOptional

The stripe token if the customer has entered payment details.

PaymentMethodIdstringOptional

The payment method id if the customer has entered payment details.

PaymentIntentIdstringOptional

The payment intent id if the customer has entered payment details, and completed 3DS2 authentication.

ConfirmationTokenIdstringOptional

The confirmation token id if the customer has entered payment details.

StripeCheckoutSuccessUrlstringOptional

The URL that the checkout flow will redirect to upon successful completion.

StripeCheckoutCancelUrlstringOptional

The URL that the checkout flow will redirect to upon cancellation.

StripeCheckoutSessionIdstringOptional

The Stripe Checkout session id if the customer has entered payment details using Stripe Checkout.

Householdsinteger · int32Optional

The number of households if there is one.

DishcultRewardsVoucherCodestringOptional

DC Rewards voucher code for loyalty

DishcultRewardsVoucherAmountstringOptional

DC Rewards voucher amount

DishcultRewardsVoucherIsValidstringOptional

DC Rewards voucher validity

IsWidgetBookingbooleanOptional

Indicates whether a booking request is via the booking widget

OriginalMicrositeNamestringOptional

Gets or sets the original microsite name used in cross-selling widget.

MicrositeNamestringOptional

Gets or sets the user selected microsite name used in cross-selling widget.

WidgetThemeIdinteger · int32Optional

Gets or sets the widget theme id.

Responses
chevron-right
200

OK

The response from creating a booking.

Statusstring · enumOptional

The status of the request.

Possible values:
Errorsstring[]Optional

Any errors that occurred while creating the booking.

PaymentAmountnumber · floatOptional

The amount that needs to be paid.

StripePublishableKeystringOptional

The key to use when making stripe payments.

FormattedPaymentAmountstringOptional

Payment Amount formatted for viewing by user

StripeAccountIdstringOptional

Payment Amount formatted for viewing by user

SetupIntentClientSecretstringOptional

Secret used for SetupIntent API

PaymentIntentSecretstringOptional

Secret used for PaymentIntents API when card requires authentication.

StripeCheckoutSessionIdstringOptional

The id of the checkout session used for SCA checkout flow.

DishcultRewardVoucherAttachedbooleanOptional

True if DC rewards voucher attached to booking, false if not

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/BookingWithStripeToken
200

OK

Create a booking with a stripe confirmation token

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/BookingWithConfirmationToken
Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The microsite name of the restaurant.

Query parameters
api-versionstringOptional
Body
VisitDatestring · date-timeRequired

The visit date of the booking.

VisitTimestringRequired

The visit time of the booking.

PartySizeinteger · int32Required

The party size of the booking.

ChannelCodestringOptional

The channel the booking came from. Defaults to the default channel for your API account when null.

SpecialRequestsstringOptional

The special requests for the booking.

PromotionIdinteger · int32Optional

The promotion that has been booked with the booking, or null if no promotion is selected.

IpAddressstringOptional

The IP address of the client making the booking. Defaults to the IP address that the request comes from.

IsLeaveTimeConfirmedbooleanOptional

true if the leave time of the booking has been confirmed with the customer, false otherwise.

ConciergeIdinteger · int32Optional

The concierge's Id, or null if the user making the booking isn't a concierge.

ConciergeEmailstringOptional

The concierge's email address, or null if the user making the booking isn't a concierge.

ConciergeCustomerIdinteger · int32Optional

The concierge customer's id, or null if this isn't using an existing concierge customer

BookingReasonIdsinteger · int32[]Optional

A list of booking reason ids to be associated with the booking

FunctionSheetUrlstringOptional

A URL to a page containing information about the function.

PreOrderUrlstringOptional

A URL to a page where you can pre-order for the booking.

PortalUserIdinteger · int32Optional

The portal user id if the customer has one.

AreaIdinteger · int32Optional

The area in which the booking is to be seated, if no area id is specified then the booking will be seated at the most suitable table regardless of area.

RoomNumberstringOptional

The room number of the booking if there is one.

StripeTokenstringOptional

The stripe token if the customer has entered payment details.

PaymentMethodIdstringOptional

The payment method id if the customer has entered payment details.

PaymentIntentIdstringOptional

The payment intent id if the customer has entered payment details, and completed 3DS2 authentication.

SetupIntentIdstringOptional

The setup intent id if the customer has entered payment details, and completed 3DS2 authentication.

ConfirmationTokenIdstringOptional

The confirmation token id if the customer has entered payment details.

StripeCheckoutSuccessUrlstringOptional

The URL that the checkout flow will redirect to upon successful completion.

StripeCheckoutCancelUrlstringOptional

The URL that the checkout flow will redirect to upon cancellation.

StripeCheckoutSessionIdstringOptional

The Stripe Checkout session id if the customer has entered payment details using Stripe Checkout.

Householdsinteger · int32Optional

The number of households if there is one.

DishcultRewardsVoucherCodestringOptional

DC Rewards voucher code for loyalty

DishcultRewardsVoucherAmountstringOptional

DC Rewards voucher amount

DishcultRewardsVoucherIsValidstringOptional

DC Rewards voucher validity

IsWidgetBookingbooleanOptional

Indicates whether a booking request is via the booking widget

OriginalMicrositeNamestringOptional

Gets or sets the original microsite name used in cross-selling widget.

MicrositeNamestringOptional

Gets or sets the user selected microsite name used in cross-selling widget.

WidgetThemeIdinteger · int32Optional

Gets or sets the widget theme id.

Responses
chevron-right
200

OK

The response from creating a booking.

Statusstring · enumOptional

The status of the request.

Possible values:
Errorsstring[]Optional

Any errors that occurred while creating the booking.

PaymentAmountnumber · floatOptional

The amount that needs to be paid.

StripePublishableKeystringOptional

The key to use when making stripe payments.

FormattedPaymentAmountstringOptional

Payment Amount formatted for viewing by user

StripeAccountIdstringOptional

Payment Amount formatted for viewing by user

SetupIntentClientSecretstringOptional

Secret used for SetupIntent API

PaymentIntentSecretstringOptional

Secret used for PaymentIntents API when card requires authentication.

StripeCheckoutSessionIdstringOptional

The id of the checkout session used for SCA checkout flow.

DishcultRewardVoucherAttachedbooleanOptional

True if DC rewards voucher attached to booking, false if not

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/BookingWithConfirmationToken
200

OK

Get booking edit token

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Booking/{bookingReference}/AuthenticateV2

Authenticates a diner against a booking by its reference.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The microsite name of the restaurant.

bookingReferencestringRequired

The reference of the booking.

Query parameters
api-versionstringOptional
Body

Encapsulates a diner's authentication details.

EmailstringOptional

The diner's email. (Required if phone number is not supplied)

PhoneNumberstringOptional

The diners phone number. (Required if email is not supplied)

Responses
chevron-right
200

OK

ResultstringOptional
post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Booking/{bookingReference}/AuthenticateV2
200

OK

Move a booking to a new restaurant

post
/api/ConsumerApi/v1/Restaurant/{currentMicrositeName}/Booking/{bookingReference}/UpdateRestaurant

Moves a booking to a new restaurant the api account has access to.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
currentMicrositeNamestringRequired

The microsite name of the restaurant where the booking currently exists.

bookingReferencestringRequired

The booking's reference.

Query parameters
api-versionstringOptional
Body

Used to move a booking to a different restaurant

NewRestaurantMicrositeNamestringRequired

The microsite name of the target restaurant where the booking is being moved to

VisitDatestring · date-timeOptional

Optional. The visit date of the booking if different from the current visit date of the booking. If not specified then the visit date will not be updated.

VisitTimestringOptional

Optional. The visit time of the booking if different from the current visit time of the booking. If not specified then the visit time will not be updated.

PartySizeinteger · int32Optional

Optional. The party size for the booking if different from the current party size of the booking. If not specified then the party size will not be updated.

PromotionIdinteger · int32Optional

Optional. The id of the promotion for the booking on the new provider.

IpAddressstringOptional

The IP address of the client making the booking. Defaults to the IP address that the request comes from.

ChannelCodeForAvailabilitySearchstringOptional

An optional channel code parameter if the booking is being updated to use availability that is present on a booking channel that isn't the channel of the original booking.

IsLeaveTimeConfirmedbooleanOptional

true if the leave time of the booking has been confirmed with the customer, false otherwise.

Responses
chevron-right
200

OK

The response from creating a booking.

Statusstring · enumOptional

The status of the request.

Possible values:
Errorsstring[]Optional

Any errors that occurred while creating the booking.

PaymentAmountnumber · floatOptional

The amount that needs to be paid.

StripePublishableKeystringOptional

The key to use when making stripe payments.

StripeCheckoutSessionIdstringOptional

The id of the checkout session used for SCA checkout flow.

StripeAccountIdstringOptional

The id of the stripe account that is taking payment.

StripePaymentIntentIdstringOptional

The Stripe payment intent id.

StripePaymentIntentClientSecretstringOptional

The Stripe payment intent client secret.

StripeSetUpIntentClientSecretstringOptional

The Stripe setup intent client secret.

post
/api/ConsumerApi/v1/Restaurant/{currentMicrositeName}/Booking/{bookingReference}/UpdateRestaurant
200

OK

Confirm a booking

post
/api/consumerApi/v1/Restaurant/{micrositeName}/Booking/{bookingReference}/ConfirmBooking
Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired
bookingReferencestringRequired
Query parameters
tokenstringRequired
api-versionstringOptional
Responses
chevron-right
200

OK

booleanOptional
post
/api/consumerApi/v1/Restaurant/{micrositeName}/Booking/{bookingReference}/ConfirmBooking
200

OK

Cancel a booking

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Booking/{bookingReference}/Cancel

Cancels an existing booking.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The restaurant's microsite name.

bookingReferencestringRequired

The booking reference.

Query parameters
cancellationReasonIdinteger · int32Optional

An optional cancellation reason id to use. Refer to 'api/ConsumerApi/v1/Restaurant/{micrositeName}/CancellationReasons' to get the cancellation reason ids for the restaurant.

api-versionstringOptional
Responses
post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Booking/{bookingReference}/Cancel
204

No Content

No content

Add Square payment info to a booking

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Booking/{reference}/ConfirmBookingWithSquareNonce

Confirms a booking with Square nonce details. This must be called after creating the booking for any bookings that require a deposit to be paid.

Authorizations
HTTPRequired

Bearer token using a JWT

Path parameters
micrositeNamestringRequired

The microsite name of the restaurant.

referencestringRequired

The reference of the booking being confirmed.

Query parameters
squareNoncestringRequired

The Square nonce.

verificationTokenstringRequired
api-versionstringOptional
Responses
chevron-right
200

OK

The result of confirming the booking.

Statusstring · enumOptional

The overall status of the confirm booking request.

Possible values:
DetailedStatusstring · enumOptional

The detailed status of the request.

Possible values:
ErrorstringOptional

An error message explaining why the booking could not be confirmed.

post
/api/ConsumerApi/v1/Restaurant/{micrositeName}/Booking/{reference}/ConfirmBookingWithSquareNonce
200

OK

Last updated

Was this helpful?